automake
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

105-merge-specflags-tests.patch


From: Akim Demaille
Subject: 105-merge-specflags-tests.patch
Date: Sun, 01 Apr 2001 21:56:59 +0200

Index: ChangeLog
from  Akim Demaille  <address@hidden>

        * tests/specflags4.test, tests/specflags5.test: Remove, merged
        into...
        * tests/specflags3.test: here.

Index: tests/Makefile.am
--- tests/Makefile.am Sat, 10 Mar 2001 11:41:12 +0100 akim (am/f/4_Makefile.a 
1.12 644)
+++ tests/Makefile.am Sat, 31 Mar 2001 12:43:41 +0200 akim (am/f/4_Makefile.a 
1.12 644)
@@ -226,8 +226,6 @@
 specflags.test \
 specflags2.test        \
 specflags3.test        \
-specflags4.test \
-specflags5.test \
 spell.test \
 spell2.test \
 spell3.test \
Index: tests/Makefile.in
--- tests/Makefile.in Sun, 18 Mar 2001 20:59:31 +0100 akim (am/h/14_Makefile.i 
1.41 644)
+++ tests/Makefile.in Sat, 31 Mar 2001 12:43:48 +0200 akim (am/h/14_Makefile.i 
1.41 644)
@@ -298,8 +298,6 @@
 specflags.test \
 specflags2.test        \
 specflags3.test        \
-specflags4.test \
-specflags5.test \
 spell.test \
 spell2.test \
 spell3.test \
Index: tests/specflags3.test
--- tests/specflags3.test Wed, 14 Mar 2001 23:12:52 +0100 akim 
(am/b/0_specflags3 1.2 775)
+++ tests/specflags3.test Sat, 31 Mar 2001 12:43:29 +0200 akim 
(am/b/0_specflags3 1.2 775)
@@ -1,17 +1,21 @@
 #! /bin/sh

-# Test exe-specific flags with dependency tracking.
+# Test exe-specific flags with dependency tracking.

 . $srcdir/defs || exit 1

-cat >> configure.in << 'END'
+cat > configure.in << 'END'
+AC_INIT
+AM_INIT_AUTOMAKE(test, 0.1)
 AC_PROG_CC
+AC_OUTPUT(Makefile)
 END

 cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = foreign
 bin_PROGRAMS = foo
 foo_SOURCES = foo.c
-foo_CFLAGS = -DBAR
+foo_CFLAGS = -DFOO
 END

 : > compile
@@ -19,4 +23,11 @@
 $ACLOCAL || exit 1
 $AUTOMAKE || exit 1

-grep -e '-o foo-foo' Makefile.in
+fgrep -e '-o foo-foo' Makefile.in || exit 1
+
+fgrep 'foo.o.o' Makefile.in                       && exit 1
+fgrep 'foo.$(OBJEXT).$(OBJEXT)' Makefile.in       && exit 1
+
+fgrep '$(foo_CFLAGS)' Makefile.in || exit 1
+
+exit 0
Index: tests/specflags4.test
--- tests/specflags4.test Wed, 14 Mar 2001 23:12:52 +0100 akim 
(am/51_specflags4 1.2 775)
+++ tests/specflags4.test Sat, 31 Mar 2001 12:49:12 +0200 akim ()
@@ -1,28 +0,0 @@
-#! /bin/sh
-
-# Another per-object test.  From Pavel Roskin.
-
-. $srcdir/defs || exit 1
-
-cat > configure.in << 'END'
-AC_INIT
-AM_INIT_AUTOMAKE(test, 0.1)
-AC_PROG_CC
-AC_OUTPUT(Makefile)
-END
-
-cat > Makefile.am << 'END'
-AUTOMAKE_OPTIONS = foreign
-bin_PROGRAMS = test1
-test1_SOURCES = test1.c
-test1_CFLAGS = -DXM12
-END
-
-: > compile
-
-$ACLOCAL || exit 1
-$AUTOMAKE || exit 1
-
-fgrep 'test1.o.o' Makefile.in && exit 1
-
-exit 0
Index: tests/specflags5.test
--- tests/specflags5.test Wed, 14 Mar 2001 23:12:52 +0100 akim 
(am/50_specflags5 1.2 775)
+++ tests/specflags5.test Sat, 31 Mar 2001 12:49:12 +0200 akim ()
@@ -1,23 +0,0 @@
-#! /bin/sh
-
-# Test of flags specific to executable.
-# From Pavel Roskin.
-
-. $srcdir/defs || exit 1
-
-cat >> configure.in << 'END'
-AC_PROG_CC
-END
-
-cat > Makefile.am << 'END'
-bin_PROGRAMS = foo
-foo_CFLAGS = -DFOO
-foo_SOURCES = foo.c
-END
-
-: > compile
-
-$ACLOCAL || exit 1
-$AUTOMAKE || exit 1
-
-fgrep '$(foo_CFLAGS)' Makefile.in



reply via email to

[Prev in Thread] Current Thread [Next in Thread]